Feature: Test af oprettelse af afdelingssløring

# Create
Scenario: Som en systembruger der opretter en afdelingssløring af typen SOR
  When en "systembruger" opretter en afdelingssløring for "SOR" "325141000016004"
  Then giver den kun fejl, hvis sløringen allerede eksisterer

Scenario: Som en systembruger der opretter en afdelingssløring af typen SHAK
  When en "systembruger" opretter en afdelingssløring for "SHAK" "1234"
  Then giver den kun fejl, hvis sløringen allerede eksisterer

Scenario: Som en systembruger der opretter en afdelingssløring af typen CVR
  When en "systembruger" sletter en afdelingssløring for "CVR" "325141000016004"
  And en "systembruger" opretter en afdelingssløring for "CVR" "325141000016004"
  Then sender den fejlen "Det er ikke muligt, at oprette en afdelingssløring for en organisation med typen: CVR"

Scenario: Som en sundhedsfaglig der opretter en afdelingssløring
  When en "sundhedsfaglig" opretter en afdelingssløring for "SOR" "325141000016004"
  Then sender den fejlen "Brugertypen 'SUNDHEDSFAGLIG' er ikke understøttet"

Scenario: Som en systembruger der opretter en afdelingssløring med forkert SOR
  When en "systembruger" opretter en afdelingssløring for "SOR" "123"
  Then sender den fejlen "hører ikke under den pågældende CVR"

Scenario: Som en systembruger der opretter en afdelingssløring med specialtegn i SHAK
  When en "systembruger" opretter en afdelingssløring for "SHAK" "\"123\""
  Then sender den fejlen "SHAK-koden må ikke indeholde specialtegn"

# Remove
Scenario: Som en systembruger der fjerner en afdelingssløring
  When en "systembruger" sletter en afdelingssløring for "SOR" "325141000016004"
  Then giver den kun fejl, hvis sløringen ikke findes

# List
Scenario: Som en systembruger der lister alle aktive afdelingssløringer
  When en systembruger lister alle aktive afdelingssløringer
  Then sender den et svar uden fejl

Scenario: Som en systembruger der lister alle afdelingssløringer for et CVR
  When en "systembruger" lister alle afdelingssløringer for et CVR
  Then sender den et svar uden fejl

Scenario: Som en systembruger med forkert clientName der lister alle aktive afdelingssløringer
  When en systembruger med forkert clientName lister alle aktive afdelingssløringer
  Then sender den fejlen "matcher ikke nogen af de forventede navne:"