package dk.nsp.idsas.kafka;

import dk.nsp.idsas.dto.KafkaMsgType;

public class KafkaMessage {
    private String key;
    private KafkaMsgType type;
    private String message;

    // For deserialization
    public KafkaMessage() {
    }

    public KafkaMessage(String key, KafkaMsgType type, String message) {
        this.key = key;
        this.type = type;
        this.message = message;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public KafkaMsgType getType() {
        return type;
    }

    public void setType(KafkaMsgType type) {
        this.type = type;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
