package dk.nsp.idsas.service;

public enum LookupStrategy {
    CPR,
    HASH,
    BOTH;

    public static LookupStrategy fromString(String strategy) {
        switch (strategy) {
            case "CPR":
                return CPR;
            case "HASH":
                return HASH;
            case "BOTH":
                return BOTH;
            default:
                throw new IllegalArgumentException("Unknown lookup strategy: " + strategy);
        }
    }
}
