package dk.nsp.idsas.util.health;

import dk.nsp.idsas.service.CleanupDeceasedService;
import dk.nsp.idsas.util.JsonPair;
import org.apache.commons.httpclient.HttpStatus;

public class CleanupDeceasedHealthIndicator implements HealthIndicator {
    private final CleanupDeceasedService cleanupDeceasedService;

    public CleanupDeceasedHealthIndicator(CleanupDeceasedService cleanupDeceasedService) {
        this.cleanupDeceasedService = cleanupDeceasedService;
    }

    @Override
    public HealthIndication getHealthInfo() {
        return new HealthIndication(HttpStatus.SC_OK, new JsonPair("Blurring Cleanup Deceased Job Status", cleanupDeceasedService.getStatus().finished.toString()));
    }
}
